%% Simscape Multibody Multiphysics Library
%
% These examples shows methods of extending Simscape Multibody models with
% additional physical effects using Simscape.  Review the methods in these
% examples to determine which method is best suited to your needs.
%
% <html>
% <tr><b><u>Libraries</u></b><br>
% <tr><a href="matlab:open_system('Multibody_Multiphysics_Lib');">Simscape Multibody Multiphysics Library</a><br>
% <tr><a href="matlab:open_system('forcesPS_lib');">Simscape Forces Library</a><br>
% <tr><br>
% <tr><b><u>Simple Examples </u></b><br>
% <tr>1. Joint Limits and Friction Methods in a Hinge: <a href="matlab:open_system('sm_ssci_hinge_hardstop.slx');">Model</a>, <a href="matlab:web('sm_ssci_hinge_hardstop.html');">Documentation</a><br>
% <tr>2. Slider Crank Mechanism with Friction: <a href="matlab:open_system('sm_ssci_01_slider_crank.slx');">Model</a>, <a href="matlab:web('sm_ssci_01_slider_crank.html');">Documentation</a><br>
% <tr>3. Single Piston Pump: <a href="matlab:open_system('sm_ssci_03_cylinder_sa_pump_flib.slx');">Model</a>, <a href="matlab:web('sm_ssci_03_cylinder_sa_pump_flib.html');">Documentation</a><br>
% <tr>4. Single Piston Pump with Hardstops and Friction: <a href="matlab:open_system('sm_ssci_02_cylinder_sa_pump.slx');">Model</a>, <a href="matlab:web('sm_ssci_02_cylinder_sa_pump.html');">Documentation</a><br>
% <tr>5. Single Piston Pump, Motor Driven: <a href="matlab:open_system('sm_ssci_04_cylinder_sa_pump_motor_flib.slx');">Model</a>, <a href="matlab:web('sm_ssci_04_cylinder_sa_pump_motor_flib.html');">Documentation</a><br>
% <tr><br>
% <tr><b><u>Electric and Hydraulic Lift Table Examples</u></b><br>
% <tr>1. Hydraulic Actuator with 1D Mechanical Ports: <a href="matlab:open_system('sm_ssci_hydraulic_lift_flib.slx');">Model</a>, <a href="matlab:web('sm_ssci_hydraulic_lift_flib.html');">Documentation</a><br>
% <tr>2. Hydraulic Actuator with Physical Signal Ports: <a href="matlab:open_system('sm_ssci_hydraulic_lift_psig_flib.slx');">Model</a>, <a href="matlab:web('sm_ssci_hydraulic_lift_psig_flib.html');">Documentation</a><br>
% <tr>3. Standard Hydraulic Actuator with Physical Signal Ports: <a href="matlab:open_system('sm_ssci_hydraulic_lift_sscfluids.slx');">Model</a>, <a href="matlab:web('sm_ssci_hydraulic_lift_sscfluids.html');">Documentation</a><br>
% <tr>4. Electric Motor with Multibody Ports: <a href="matlab:open_system('sm_ssci_electric_lift_trsn.slx');">Model</a>, <a href="matlab:web('sm_ssci_electric_lift_trsn.html');">Documentation</a><br>
% <tr><br>
% <tr><b><u>CAD Examples</u></b><br>
% <tr>1. Lift Table from CAD: <a href="matlab:open_system('sm_lift_table_f2_hydr.slx');">Model</a>, <a href="matlab:web('sm_lift_table_CAD.html');">Documentation</a><br>
% </html>
% 
% Copyright 2016-2023 The MathWorks(TM), Inc.
